% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
legend cell align={left},
legend style={fill opacity=0.8, draw opacity=1, text opacity=1, at={(0.97,0.03)}, anchor=south east, draw=white!80!black},
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Model Size gzipped [KiB]},
xmajorgrids,
xmin=0, xmax=310.723095703125,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={Model Type},
ymin=-0.5, ymax=2.5,
ytick style={color=white!15!black},
ytick={0,1,2},
yticklabels={\texttt{float32},\texttt{float32}; \texttt{int8},\texttt{int8}}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:92.0517578125,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{pruned}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:30.0986328125,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:28.7724609375,2);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:295.9267578125,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{original}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:70.8359375,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:65.8095703125,2.4);
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
92.0517578125 -0.2
92.0517578125 -0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
30.0986328125 0.8
30.0986328125 0.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
28.7724609375 1.8
28.7724609375 1.8
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
295.9267578125 0.2
295.9267578125 0.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
70.8359375 1.2
70.8359375 1.2
};
\addplot [line width=0.864pt, white!26!black, forget plot]
table {%
65.8095703125 2.2
65.8095703125 2.2
};
\end{axis}

\end{tikzpicture}
